Bug 753691 - [abrt] deluge-gtk-1.3.3-1.fc16: listview.py:339:on_menuitem_toggled:KeyError: '\xd0\xa0\xd0\xb5\xd0\xb9\xd1\x82\xd0\xb8\xd0\xbd\xd0\xb3'
[abrt] deluge-gtk-1.3.3-1.fc16: listview.py:339:on_menuitem_toggled:KeyError:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:ef58cf45bb2ccd69ccbfa40ed1d...
:
: 769653 770163 771143 797372 797449 798782 815994 830443 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 02:27 EST by a11139965
Modified: 2013-02-13 21:54 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:54:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: smolt_data (3.86 KB, text/plain)
2011-11-14 02:27 EST, a11139965
no flags Details

  None (edit)
Description a11139965 2011-11-14 02:27:40 EST
libreport version: 2.0.6
abrt_version:   2.0.4.981
cmdline:        /usr/bin/python /usr/bin/deluge-gtk
event_log:      2011-11-14-11:22:01> Smolt profile successfully saved
executable:     /usr/bin/deluge-gtk
kernel:         3.1.0-7.fc16.x86_64
reason:         listview.py:339:on_menuitem_toggled:KeyError: '\xd0\xa0\xd0\xb5\xd0\xb9\xd1\x82\xd0\xb8\xd0\xbd\xd0\xb3'
time:           Mon Nov 14 11:15:42 2011
uid:            1000
username:       unit

smolt_data:     Binary file, 3955 bytes

backtrace:
:listview.py:339:on_menuitem_toggled:KeyError: '\xd0\xa0\xd0\xb5\xd0\xb9\xd1\x82\xd0\xb8\xd0\xbd\xd0\xb3'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/listview.py", line 339, in on_menuitem_toggled
:    self.columns[name].column.set_visible(widget.get_active())
:KeyError: '\xd0\xa0\xd0\xb5\xd0\xb9\xd1\x82\xd0\xb8\xd0\xbd\xd0\xb3'
:
:Local variables in innermost frame:
:widget: <gtk.CheckMenuItem object at 0x3b1cfa0 (GtkCheckMenuItem at 0x3458620)>
:name: '\xd0\xa0\xd0\xb5\xd0\xb9\xd1\x82\xd0\xb8\xd0\xbd\xd0\xb3'
:self: <deluge.ui.gtkui.torrentview.TorrentView object at 0x31e0490>

comment:
:1. right click on table header
:2. add rating
:3. remove remain
Comment 1 a11139965 2011-11-14 02:27:43 EST
Created attachment 533446 [details]
File: smolt_data
Comment 2 Calum 2011-12-03 09:52:39 EST
Fix committed for next release: http://dev.deluge-torrent.org/ticket/1957
Comment 3 Calum 2011-12-21 19:42:46 EST
*** Bug 769653 has been marked as a duplicate of this bug. ***
Comment 4 Calum 2012-01-30 19:32:57 EST
*** Bug 771143 has been marked as a duplicate of this bug. ***
Comment 5 Calum 2012-01-30 19:37:06 EST
*** Bug 770163 has been marked as a duplicate of this bug. ***
Comment 6 Calum 2012-03-01 13:36:53 EST
*** Bug 798782 has been marked as a duplicate of this bug. ***
Comment 7 Calum 2012-03-01 13:37:01 EST
*** Bug 797449 has been marked as a duplicate of this bug. ***
Comment 8 Calum 2012-03-01 13:37:16 EST
*** Bug 797372 has been marked as a duplicate of this bug. ***
Comment 9 bedny 2012-03-14 16:42:21 EDT
I just have tryed to add a column into the main frame

Package: deluge-gtk-1.3.3-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 10 Calum 2012-04-25 09:51:17 EDT
*** Bug 815994 has been marked as a duplicate of this bug. ***
Comment 11 Calum 2012-04-25 09:52:08 EDT
This has been fixed in Deluge 1.3.5
Comment 12 Calum 2012-12-13 08:14:02 EST
*** Bug 830443 has been marked as a duplicate of this bug. ***
Comment 13 Fedora End Of Life 2013-01-16 20:48:42 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora End Of Life 2013-02-13 21:54:29 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.